export type AnyObj = Record<string, unknown>;
export type EmptyObj = Record<string, unknown>;

export type WSPacketError = {
    code: number,
    message?: string
}
export type WSPacketBody<T extends AnyObj> = {
    data: T,
    id?: string,
    auth?: string,
    ackId?: number,
    error?: WSPacketError
}
export type WSPacket = {
    type: string,
    body: WSPacketBody<AnyObj>,
}

export type WSEndpoint<Req extends AnyObj = AnyObj, Res extends AnyObj = AnyObj> = {
    request: Req,
    response: Res,
};
export type WSAnyEndpoints = Record<string, WSEndpoint>;