import { LobbyModel } from 'wetube-common';
import { ILobbyRepository } from './ILobbyRepository';

export class LobbyInMemoryRepository implements ILobbyRepository {
    private lobbies = new Map<string, LobbyModel>();

    public save(lobby: LobbyModel): void {
        this.lobbies.set(lobby.id, lobby);
    }

    public getById(lobbyId: string) {
        const lobby = this.lobbies.get(lobbyId);
        return lobby ?? null;
    }

    public update(lobby: LobbyModel): void {
        this.lobbies.set(lobby.id, lobby);
    }
}