import React from 'react';
import { ThemeProvider, createTheme } from '@mui/material/styles';

const theme = createTheme({
    palette: {
        mode: 'dark',
    },
});

interface ThemeProviderWrapperProps {
    children?: React.ReactNode
}
export const ThemeProviderWrapper = ({ children }: ThemeProviderWrapperProps) => {
    return (
        <ThemeProvider theme={theme}>
            {children}
        </ThemeProvider>
    );
};