import React from 'react';
import { styled } from '@mui/material/styles';
import Button from '@mui/material/Button';
import Typography from '@mui/material/Typography';
import Container from '@mui/material/Container';

import { useCreateLobby } from './stores/useCreateLobby';

const StyledContainer = styled(Container)({
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    height: '100vh'
});

const Stack = styled('div')({
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    width: '100%'
});

const LogoContainer = styled('div')({
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    alignItems: 'center',
});

const Logo = styled(Typography)({
    fontWeight: 'bold'
});

const ShortDescrition = styled(Typography)({
    textAlign: 'center'
});

const CreateButton = styled(Button)({
    marginTop: 40
});

export const CreateLobby = () => {
    const { createLobby } = useCreateLobby();

    return (
        <StyledContainer maxWidth='sm'>
            <Stack spacing={2}>
                <LogoContainer>
                    <Logo
                        noWrap
                        variant="h1"
                        component="div"
                    >
                        {'WeTube'}
                    </Logo>
                    <ShortDescrition
                        variant="h5"
                        component="div"
                    >
                        {'Watch YouTube together with friends'}
                    </ShortDescrition>
                </LogoContainer>
                <CreateButton
                    onClick={createLobby}
                    variant='outlined'
                >
                    {'Create New Lobby'}
                </CreateButton>
            </Stack>
        </StyledContainer>
    );
};