import { useCallback } from 'react';
import { useNavigate } from '@tanstack/react-location';

import { useAppApi } from '../../../context';

export const useCreateLobby = () => {
    const api = useAppApi();
    const navigate = useNavigate();

    const createLobby = useCallback(async () => {
        const lobby = await api.createLobby();
        if (!lobby.data) {
            return;
        }

        navigate({ to: '/join', search: { lobby: lobby.data.lobbyId } });
    }, []);

    return {
        createLobby,
    };
};