import { IAuthDataServices, AuthData } from './IAuthDataService';

export class LocalStorageAuthDataServices implements IAuthDataServices {
    private static LS_KEY = 'wetube_auth';

    public saveData(data: AuthData) {
        localStorage.setItem(LocalStorageAuthDataServices.LS_KEY, JSON.stringify(data));
    }

    public clearData(): void {
        localStorage.removeItem(LocalStorageAuthDataServices.LS_KEY);
    }

    public getData(): AuthData | null {
        const value = localStorage.getItem(LocalStorageAuthDataServices.LS_KEY);
        return value ? JSON.parse(value) : null;
    }

}