import { LobbyAPI, LobbyMessageType } from 'wetube-common';
import { WSRes, ISubscription } from "../../utils";

export type LobbySubscriptions = {
    'join': WSRes<LobbyAPI, LobbyMessageType.JOIN>,
    'leave': WSRes<LobbyAPI, LobbyMessageType.LEAVE>,
    'data-offer': WSRes<LobbyAPI, LobbyMessageType.DATA_OFFER>,
    'data-answer': WSRes<LobbyAPI, LobbyMessageType.DATA_ANSWER>,
    'ice-candidate': WSRes<LobbyAPI, LobbyMessageType.ICE_CANDIDATE>,
}

export interface ILobbyService {
    get subscription(): ISubscription<LobbySubscriptions>;
    create(): Promise<WSRes<LobbyAPI, LobbyMessageType.CREATE>>;
    join(lobbyId: string): Promise<WSRes<LobbyAPI, LobbyMessageType.JOIN>>;
    leave(lobbyId: string): void;
    sendIceCandidate(toId: string, lobbyId: string, candidate: RTCIceCandidate): void;
    sendDataOffer(toId: string, lobbyId: string, offer: RTCSessionDescriptionInit): void;
    sendDataAnswer(toId: string, lobbyId: string, answer: RTCSessionDescriptionInit): void;
}