const path = require('path');
const webpack = require('webpack');
const { merge } = require('webpack-merge');
const common = require('./webpack.common.js');

module.exports = merge(common, {
    mode: 'development',
    devtool: 'inline-source-map',
    devServer: {
        static: {
            directory: path.join(__dirname, 'lib/public'),
        },
        historyApiFallback: true,
        watchFiles: ['src/**/*.ts', 'public/**/*'],
        port: 9000,
    },
    plugins: [
        ...common.plugins,
        new webpack.DefinePlugin({
            DEBUG: JSON.stringify(true)
        })
    ],
});